<?php
/*
 * Copyright(c) 2015 PAYDESIGN, Inc. All rights reserved.
 * http://www.paydesign.co.jp/
 */

namespace Plugin\PayDesign\Entity;

/**
 * Information about periodic information in product in PayDesign Plugin
 */
class PayDesignProductPeriodicInfo extends \Eccube\Entity\AbstractEntity {

    /**
     * @var integer
     */
    private $id;

    /**
     * @var integer
     */
    private $product_id;

    /**
     * @var integer
     */
    private $periodic_flg;

    /**
     * @var integer
     */
    private $periodic_price;

    /**
     * @var integer
     */
    private $periodic_interval;

    /**
     * @var integer
     */
    private $periodic_cutoff_day;

    /**
     * @var integer
     */
    private $periodic_create_day;

    /**
     * @var integer
     */
    private $periodic_settle_method;

    /**
     * @var \DateTime
     */
    private $create_date;

    /**
     * @var \DateTime
     */
    private $update_date;

    /**
     * @var integer
     */
    private $del_flg;

    /**
     * Constructor
     */
    public function __construct()
    {
    }

    /**
     * Set id (product_class_id)
     *
     * @param  integer $id
     * @return Module
     */
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }

    /**
     * Get id
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set product_id
     *
     * @param  integer $product_id
     * @return Module
     */
    public function setProductId($product_id)
    {
        $this->product_id = $product_id;

        return $this;
    }

    /**
     * Get product_id
     *
     * @return integer
     */
    public function getProductId()
    {
        return $this->product_id;
    }

    /**
     * Set periodic_flg
     *
     * @param  integer $periodicFlg
     * @return Module
     */
    public function setPeriodicFlg($periodicFlg)
    {
        $this->periodic_flg = $periodicFlg;

        return $this;
    }

    /**
     * Get periodic_flg
     *
     * @return integer
     */
    public function getPeriodicFlg()
    {
        return $this->periodic_flg;
    }

    /**
     * Set periodic_price
     *
     * @param  integer $periodicPrice
     * @return Module
     */
    public function setPeriodicPrice($periodicPrice)
    {
        $this->periodic_price = $periodicPrice;

        return $this;
    }

    /**
     * Get periodic_price
     *
     * @return integer
     */
    public function getPeriodicPrice()
    {
        return $this->periodic_price;
    }

    /**
     * Set periodic_interval
     *
     * @param  integer $periodicInterval
     * @return Module
     */
    public function setPeriodicInterval($periodicInterval)
    {
        $this->periodic_interval = $periodicInterval;

        return $this;
    }

    /**
     * Get periodic_interval
     *
     * @return integer
     */
    public function getPeriodicInterval()
    {
        return $this->periodic_interval;
    }

    /**
     * Set periodic_cutoff_day
     *
     * @param  integer $periodicCutoffDay
     * @return Module
     */
    public function setPeriodicCutoffDay($periodicCutoffDay)
    {
        $this->periodic_cutoff_day = $periodicCutoffDay;

        return $this;
    }

    /**
     * Get periodic_cutoff_day
     *
     * @return integer
     */
    public function getPeriodicCutoffDay()
    {
        return $this->periodic_cutoff_day;
    }

    /**
     * Set periodic_create_day
     *
     * @param  integer $periodicCreateDay
     * @return Module
     */
    public function setPeriodicCreateDay($periodicCreateDay)
    {
        $this->periodic_create_day = $periodicCreateDay;

        return $this;
    }

    /**
     * Get periodic_create_day
     *
     * @return integer
     */
    public function getPeriodicCreateDay()
    {
        return $this->periodic_create_day;
    }

    /**
     * Set periodic_settle_method
     *
     * @param  integer $periodicSettleMethod
     * @return Module
     */
    public function setPeriodicSettleMethod($periodicSettleMethod)
    {
        $this->periodic_settle_method = $periodicSettleMethod;

        return $this;
    }

    /**
     * Get periodic_settle_method
     *
     * @return integer
     */
    public function getPeriodicSettleMethod()
    {
        return $this->periodic_settle_method;
    }

    /**
     * Set create_date
     *
     * @param  \DateTime $createDate
     * @return Module
     */
    public function setCreateDate($createDate)
    {
        $this->create_date = $createDate;

        return $this;
    }

    /**
     * Get create_date
     *
     * @return \DateTime
     */
    public function getCreateDate()
    {
        return $this->create_date;
    }

    /**
     * Set update_date
     *
     * @param  \DateTime $updateDate
     * @return Module
     */
    public function setUpdateDate($updateDate)
    {
        $this->update_date = $updateDate;

        return $this;
    }

    /**
     * Get update_date
     *
     * @return \DateTime
     */
    public function getUpdateDate()
    {
        return $this->update_date;
    }

    /**
     * Set del_flg
     *
     * @param  integer $delFlg
     * @return Module
     */
    public function setDelFlg($delFlg)
    {
        $this->del_flg = $delFlg;

        return $this;
    }

    /**
     * Get del_flg
     *
     * @return integer
     */
    public function getDelFlg()
    {
        return $this->del_flg;
    }
}
?>
